E-File Magic

Recipients

List recipients

Find recipients under a filer your connection can access.

GET
/api/v1/recipients/list
Authentication
OAuth 2.0 access token
Required scopes
recipients.read
Idempotency key
Not required
Rate-limit cost
1 unit

Request fields

9 fields
query.filer_idRequiredstring (uuid)

ID of the filer that owns this operation's records.

query.qOptionalstring

Search text used to filter this collection. Maximum characters: 256.

query.is_archivedOptionalboolean

Filter by archive state.

query.state_filterOptionalstring

Allowed values: "all", "unvalidated", "corrected".

query.form_idOptionalstring

Form identifier from the catalog for this tax year and schema revision. Allowed values: "1042_s", "1097_btc", "1098", "1098_c", "1098_e", "1098_f", "1098_q", "1098_t", "1098_vli", "1099_a", "1099_b", "1099_c", "1099_cap", "1099_da", "1099_div", "1099_g", "1099_h", "1099_int", "1099_k", "1099_lps", "1099_ls", "1099_ltc", "1099_misc", "1099_nec", "1099_oid", "1099_patr", "1099_q", "1099_qa", "1099_r", "1099_s", "1099_sa", "1099_sb", "3921", "3922", "5498", "5498_esa", "5498_qa", "5498_sa", "5498_ta", "15397", "8027", "8596", "8809", "8955_ssa", "w_2g".

query.sort_byOptionalstring

Field used to order results. Allowed values: "created_at", "name", "relevance".

query.sort_orderOptionalstring

Ascending or descending result order. Allowed values: "asc", "desc".

query.limitOptionalinteger

Maximum number of results requested for this page. Minimum: 1. Maximum: 100.

query.cursorOptionalstring

Opaque next_cursor from the previous page. Keep the other filters unchanged. Minimum characters: 1. Maximum characters: 2048.

Headers (2)
AuthorizationRequired
OAuth RS256 access token issued for the EFM API resource. Interactive EFM session tokens are rejected.
DPoPConditional / optional
Required when the application, connection, or credential is proof-of-possession bound.
cURL request
curl --request GET 'https://api.efilemagic.com/api/v1/recipients/list' \
  --header 'Authorization: Bearer <access-token>' \
  --get \
  --data-urlencode 'filer_id=<filer_id>' \
  --data-urlencode 'limit=25'

Replace placeholders with your own values. Use the API resource origin provided for your environment.